<?php
/* Mantenimiento de los registros de la tabla COM_OrdenCompraDetalle redefinidos por el usaurio */
class COM_OrdenCompraDetalleDP extends BaseCOM_OrdenCompraDetalleDP
{
    public function changeStatusDetail()
    {
        $o_COM_OrdenCompraDetalleFN = new COM_OrdenCompraDetalleFN();
        
        if ( $o_COM_OrdenCompraDetalleFN )
        {
            $s_SQLQuery = "UPDATE COM_OrdenCompraDetalle SET Estado='".$this->getEstado()."', FechaModificacion='".date( "Y-m-d H:i:s" )."', UsuarioModificacion='".myUser::getUser()->getUserId()."' WHERE  IdOrdenCompra = ".$this->getIdOrdenCompra()." AND  IdCompania = ".$this->getIdCompania().";";
            Conexion::getConexion()->createStatement()->executeQuery( $s_SQLQuery );
        }
        else
        {
            throw new Exception( "El id no esta registrado." );
        }
        return true;
    }
    
    public function deleteDetail()
    {
        $o_COM_OrdenCompraDetalleFN = new COM_OrdenCompraDetalleFN();
        
        if ( $o_COM_OrdenCompraDetalleFN )
        {
            $s_SQLQuery = "UPDATE COM_OrdenCompraDetalle SET Estado='".COM_OrdenCompraCabeceraBN::ORDEN_COMPRA_ANULADO."', FechaModificacion='".date( "Y-m-d H:i:s" )."', UsuarioModificacion='".myUser::getUser()->getUserId()."' WHERE  IdOrdenCompra = ".$this->getIdOrdenCompra()." AND  IdCompania = ".$this->getIdCompania().";";
            Conexion::getConexion()->createStatement()->executeQuery( $s_SQLQuery );
        }
        else
        {
            throw new Exception( "El id no esta registrado." );
        }
        return true;
    }
    
    public function addCommnentDetail()
    {
        $o_COM_OrdenCompraDetalleFN = new COM_OrdenCompraDetalleFN();
        
        if ( $o_COM_OrdenCompraDetalleFN )
        {
            $s_SQLQuery = "UPDATE COM_OrdenCompraDetalle SET Comentario = CONCAT( COALESCE(Comentario,''), '\n', '{$this->getComentario()}' ), FechaModificacion='".date( "Y-m-d H:i:s" )."', UsuarioModificacion='".myUser::getUser()->getUserId()."' WHERE IdOrdenCompra='{$this->getIdOrdenCompra()}' AND IdCompania='{$this->getIdCompania()}' AND IdSecuencia='{$this->getIdSecuencia()}';";
            Conexion::getConexion()->createStatement()->executeQuery( $s_SQLQuery );
        }
        else
        {
            throw new Exception( "El id no esta registrado." );
        }
        return true;
        
    }
}
?>